import { Signature } from "ethers";
import { Serializable } from "../common/Serializable";
import { DataPackage, DataPackagePlainObj } from "./DataPackage";
export interface SignedDataPackagePlainObj extends DataPackagePlainObj {
    signature: string;
}
export declare class SignedDataPackage extends Serializable {
    readonly dataPackage: DataPackage;
    readonly signature: Signature;
    constructor(dataPackage: DataPackage, signature: Signature | string);
    serializeSignatureToBytes(): Uint8Array;
    serializeSignatureToHex(): string;
    recoverSignerPublicKey(): Uint8Array;
    recoverSignerAddress(): string;
    toBytes(): Uint8Array;
    toObj(): SignedDataPackagePlainObj;
    static fromObj(plainObject: SignedDataPackagePlainObj): SignedDataPackage;
}
//# sourceMappingURL=SignedDataPackage.d.ts.map