"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NumericDataPoint = void 0;
const utils_1 = require("../common/utils");
const redstone_constants_1 = require("../common/redstone-constants");
const DataPoint_1 = require("./DataPoint");
// This data point does not store information about data size in its serialized value
class NumericDataPoint extends DataPoint_1.DataPoint {
    constructor(numericDataPointArgs) {
        const decimals = (0, utils_1.useDefaultIfUndefined)(numericDataPointArgs.decimals, redstone_constants_1.DEFAULT_NUM_VALUE_DECIMALS);
        const valueByteSize = (0, utils_1.useDefaultIfUndefined)(numericDataPointArgs.valueByteSize, redstone_constants_1.DEFAULT_NUM_VALUE_BS);
        const valueBytes = (0, utils_1.convertNumberToBytes)(numericDataPointArgs.value, decimals, valueByteSize);
        super(numericDataPointArgs.dataFeedId, valueBytes);
        this.numericDataPointArgs = numericDataPointArgs;
    }
    toObj() {
        return {
            ...this.numericDataPointArgs,
        };
    }
}
exports.NumericDataPoint = NumericDataPoint;
//# sourceMappingURL=NumericDataPoint.js.map